summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAditya Mahajan2012-06-08 14:09:39 -0400
committerAditya Mahajan2016-04-02 13:08:46 -0400
commitbabcf04d592df998cb367ccb58eacf0f28917b8d (patch)
treef673e32aa51272397b22b56556cd6a57562ca5c7
parent791ee4ea447de1aa76170b24e6adfc75e84b1690 (diff)
downloadaur-babcf04d592df998cb367ccb58eacf0f28917b8d.tar.gz
Exit if cannot connect to rsync server
-rw-r--r--PKGBUILD6
1 files changed, 3 insertions, 3 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 6d862b6fced..06353f41862 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,6 +1,6 @@
# Maintainer: Aditya Mahajan <adityam at umich dot edu>
pkgname=context-minimals-git
-pkgver=20120317
+pkgver=20120531
pkgrel=1
pkgdesc="A standalone ConTeXt distribution"
url="http://www.contextgarden.net"
@@ -49,10 +49,10 @@ _osfontdir="/usr/share/fonts"
build() {
msg "Downloading the latest scripts first"
- rsync -rlptv $_rsyncurl $srcdir
+ rsync -rlpt $_rsyncurl $srcdir || return 1
msg "Initializing download directory"
- mkdir -p $srcdir/tex/texmf-cache
+ mkdir -p $srcdir/tex/texmf-cache || return 1
msg "Starting download or update of ConTeXt distribution"
PATH=$scrdir/tex/texmf-$platform/bin:$PATH \